<?php
define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );
$Cache->load_table( 'ban' );

// On inclu le header
include( $location . 'admin/header.php' );

// Rcupration des donnes
if( isset( $_GET['id'] ) || isset( $_POST['id'] ) )
{
	$id = ( isset( $_GET['id'] ) ) ? htmlSpecialChars( $_GET['id'] ) : htmlSpecialChars( $_POST['id'] );
}
else
{
	$id = '';
}

if( isset( $_GET['mode'] ) || isset( $_POST['mode'] ) )
{
	$mode = ( isset( $_GET['mode'] ) ) ? htmlSpecialChars( $_GET['mode'] ) : htmlSpecialChars( $_POST['mode'] );
}
else
{
	$mode = '';
}


$Tpl->set_filenames( array( 'ban' => 'admin/ban.tpl' ) );
// variable global
$Tpl->assign_vars( array(
			'U_ACTION'                  => ajout_sid( $location . 'admin/ban.php?mode=ajouter', TRUE ),
			
			'L_BAN_TITRE'				=> $langue['ban_titre'],
			'L_TITRE_BAN_LIST'			=> $langue['titre_ban_list'],
			'L_IP'						=> $langue['l_ip'],
			'L_MOTIF'					=> $langue['l_motif'],
			'L_DEBAN'					=> $langue['deban'],
			
	
));
//charger les ip deja enregistre
foreach( $ban as $key_ban => $values )
{
	$Tpl->assign_block_vars( 'ban_ip', array(
		'IP'		=>  $values['ip'] ,
		'RAISON' 	=> $values['raison'] ,
		'SUP_IP' 	=> ajout_sid( $location . 'admin/ban.php?mode=supprimer&amp;id=' . $key_ban, TRUE ),
	) );
}
// Bannir une ip
 if ( $mode == 'ajouter' )
      {
		if( isset($_POST['soumettre']) ) 
	  	{
	  			$ip = $_POST['ip'];
				$pseudo = $_POST['pseudo'];
				$raison = $POST['raison'];


			$ban[] = array('ip' => $ip, 'pseudo' => $pseudo , 'raison' => $raison);	
			$Cache->write_in_cache( $ban, 'ban' );

	      	redirection( '../admin/ban.php' );
	 	 }
	  }
// Debannir une ip	  
if ( $mode == 'supprimer' && $id != '' )
{
	unset($ban[$id]);
	$Cache->write_in_cache($ban, 'ban', count($ban));
	redirection('../admin/ban.php');
}

$Tpl->pparse( 'ban' );

// On inclu le footer
include( $location . 'admin/footer.php' );

?>

