<?php

define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );
include( $location . 'cache/fichier_auth.php' );


// On inclu le header
include( $location . 'admin/header.php' );


// Chargement de FCKeditor pour le textarea de la description
include( $location . 'fckeditor/fckeditor.php' );
$oFCKeditor = new FCKeditor( 'description' );
$oFCKeditor->Config['CustomConfigurationsPath'] = $location . '../includes/js/fckconfig.js';
$oFCKeditor->BasePath = $location . 'fckeditor/';
$oFCKeditor->Value = isset( $config_games['description'] ) ? stripslashes( $config_games['description'] ) : '';
$oFCKeditor->Width  = '100%';
$oFCKeditor->Height = '150';
$oFCKeditor->ToolbarSet = 'Basic';
$description_textarea = $oFCKeditor->CreateHtml();


// on defini le template
$Tpl->set_filenames( array( 'index' => 'admin/games_config.tpl' ) );




if( isset( $_POST['soumettre'] ) )
{
	// On enregistre les donnes
	$config = $Cache->convert_to_simple_array( $config );
	reset( $config );
	foreach ( $config as $cle => $valeur )
	{
		$valeur_w = ( !isset( $_POST[$cle] ) ) ? $valeur : stripslashes( htmlentities( $_POST[$cle] ) );
		$config[$cle] = $valeur_w;
	}
	// On rcupre le chemin du site sans le slash final
	$config_games['raid1'] = $_POST['raid1'];
	$config_games['raid2'] = $_POST['raid2'];
	$config_games['raid3'] = $_POST['raid3'];
	$config_games['raid4'] = $_POST['raid4'];
	$config_games['nomraid1'] = $_POST['nomraid1'];
	$config_games['nomraid2'] = $_POST['nomraid2'];
	$config_games['nomraid3'] = $_POST['nomraid3'];
	$config_games['nomraid4'] = $_POST['nomraid4'];
	$config_games['active_raidcall'] = $_POST['activation_raidcall'];
	$config_games['server_info'] = $_POST['server_info'];
	$config_games['server_url'] = $_POST['server_url'];
	$config_games['id_raidcall'] = $_POST['id_raidcall'];
	$config_games['active_armu'] = $_POST['active_armu'];
	$config_games['active_talent'] = $_POST['active_talent'];
	$config_games['active_metier'] = $_POST['active_metier'];
	$config_games['active_metiers'] = $_POST['active_metiers'];
	$config_games['q_apply_1'] = $_POST['q_apply_1'];
	$config_games['q_apply_2'] = $_POST['q_apply_2'];
	$config_games['q_apply_3'] = $_POST['q_apply_3'];
	$config_games['q_apply_4'] = $_POST['q_apply_4'];
	$config_games['aptitude_1'] = $_POST['aptitude_1'];
	$config_games['aptitude_2'] = $_POST['aptitude_2'];
	$config_games['aptitude_3'] = $_POST['aptitude_3'];
	$config_games['aptitude_4'] = $_POST['aptitude_4'];
	$config_games['active_genre_race'] = $_POST['active_genre_race'];
	$config_games['active_roster'] = $_POST['active_roster'];
	
	$config_games = $Cache->convert_to_normal_array( $config_games );
	$Cache->write_in_cache( $config_games, 'config_games' );	

	redirection( $location . 'admin/games_config.php' );
}



// Chargement des variables de template
$Tpl->assign_vars( array(
	'RACINE' 							=> $location,
	
	'V_ACTIVE_RAIDCALL_OUI' 			=>	( $config_games['active_raidcall'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_RAIDCALL_NON' 			=>	( !$config_games['active_raidcall'] ) ? 'checked="checked"' : '0',
	'SERVER_INF0' 						=>	$config_games['server_info'],
	'APPLY_Q_1'							=> $config_games['q_apply_1'],
	'APPLY_Q_2'							=> $config_games['q_apply_2'],
	'APPLY_Q_3'							=> $config_games['q_apply_3'],
	'APPLY_Q_4'							=> $config_games['q_apply_4'],
	
	'APTITUDE_1'						=> $config_games['aptitude_1'],
	'APTITUDE_2'						=> $config_games['aptitude_2'],
	'APTITUDE_3'						=> $config_games['aptitude_3'],
	'APTITUDE_4'						=> $config_games['aptitude_4'],
	
	'V_ACTIVE_ROSTER_OUI' 				=>	( $config_games['active_roster'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_ROSTER_NON' 				=>	( !$config_games['active_roster'] ) ? 'checked="checked"' : '0',
	
	'V_ACTIVE_GENRE_OUI' 				=>	( $config_games['active_genre_race'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_GENRE_NON' 				=>	( !$config_games['active_genre_race'] ) ? 'checked="checked"' : '0',
	
	'SERVER_URL' 						=>	$config_games['server_url'],
	'ID_RAIDCALL' 						=>	$config_games['id_raidcall'],

	'V_ACTIVE_RAID1_OUI' 				=>	( $config_games['raid1'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_RAID1_NON' 				=>	( !$config_games['raid1'] ) ? 'checked="checked"' : '0',
	'V_ACTIVE_RAID2_OUI' 				=>	( $config_games['raid2'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_RAID2_NON' 				=>	( !$config_games['raid2'] ) ? 'checked="checked"' : '0',
	'V_ACTIVE_RAID3_OUI' 				=>	( $config_games['raid3'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_RAID3_NON' 				=>	( !$config_games['raid3'] ) ? 'checked="checked"' : '0',
	'V_ACTIVE_RAID4_OUI' 				=>	( $config_games['raid4'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_RAID4_NON' 				=>	( !$config_games['raid4'] ) ? 'checked="checked"' : '0',

	'V_NOM_RAID1' 						=>	$config_games['nomraid1'],
	'V_NOM_RAID2' 						=>	$config_games['nomraid2'],
	'V_NOM_RAID3' 						=>	$config_games['nomraid3'],
	'V_NOM_RAID4' 						=>	$config_games['nomraid4'],

	'V_ACTIVE_ARMU_OUI' 				=>	( $config_games['active_armu'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_ARMU_NON' 				=>	( !$config_games['active_armu'] ) ? 'checked="checked"' : '0',	
	'V_ACTIVE_TALENT_OUI' 				=>	( $config_games['active_talent'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_TALENT_NON' 				=>	( !$config_games['active_talent'] ) ? 'checked="checked"' : '0',
	'V_ACTIVE_METIER1_OUI' 				=>	( $config_games['active_metier'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_METIER1_NON' 				=>	( !$config_games['active_metier'] ) ? 'checked="checked"' : '0',
	'V_ACTIVE_METIER2_OUI' 				=>	( $config_games['active_metiers'] ) ? 'checked="checked"' : '1',
	'V_ACTIVE_METIER2_NON' 				=>	( !$config_games['active_metiers'] ) ? 'checked="checked"' : '0',
	
	'L_OUI' 							=> $langue['oui'],
	'L_NON' 							=> $langue['non'],
	'L_SOUMETTRE' 						=> $langue['soumettre'],

) );

$Tpl->pparse( 'index' );

// On inclu le footer
include( $location . 'admin/footer.php' );
?>