<?php


define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'admin/header.php' );

// Rcupration des donnes
if( isset( $_GET['page'] ) || isset( $_POST['page'] ) )
{
	$page = ( isset( $_GET['page'] ) ) ? htmlSpecialChars( $_GET['page'] ) : htmlSpecialChars( $_POST['page'] );
}
else
{
	$page = '';
}

if( isset( $_GET['mode'] ) || isset( $_POST['mode'] ) )
{
	$mode = ( isset( $_GET['mode'] ) ) ? htmlSpecialChars( $_GET['mode'] ) : htmlSpecialChars( $_POST['mode'] );
}
else
{
	$mode = '';
}

if( isset( $_GET['type'] ) || isset( $_POST['type'] ) )
{
	$type = ( isset( $_GET['type'] ) ) ? htmlSpecialChars( $_GET['type'] ) : htmlSpecialChars( $_POST['type'] );
}
else
{
	$type = '';
}

$feuille = isset( $_GET['feuille'] ) ? intval( $_GET['feuille'] ) : 0;

//Test si $page est numrique (pour viter les URL du style: pages.php?page=bonjour&mode=modifier qui renvoi avec intval() vers l'dition de la page 0
if( !is_numeric( $page ) && $page != '' )
{
	redirection( 'index.php' );
}

// On charge les pages
$Cache->load_table( 'pages' );

// Chargement du template
$type != '' ? $Tpl->set_filenames( array( 'corps' => 'admin/pages_' . $type . '.tpl' ) ) : $Tpl->set_filenames( array( 'corps' => 'admin/pages.tpl' ) );

// Protection contre l'edition des pages 'code' et 'php'
if( !defined( 'FONDATEUR' ) && ( $mode == 'supprimer' || $mode == 'modifier' ) && ( $pages[$page]['type'] == 'code' || $pages[$page]['type'] == 'php' ) )
{
	redirection( 'pages.php' );
}

// Si on veux modifier ou crer une page
if( $type == 'article' )
{
	if( $page != '' )
	{
		// Rcupration des donnes sur les feuilles
	 	foreach( $pages[$page]['page'] as $id_feuille => $values_feuille )
		{
			$Tpl->assign_block_vars( 'feuille', array(
				'PAGES_NOM'		=> 'Page ' . ( $id_feuille + 1 ),

				'U_PAGES_EDIT'	=> '<a href="#" onclick="xajax_start_pages_article_form( ' . intval( $page ) . ', ' . intval( $id_feuille ) . ', \'' . ( isset( $_GET['sid'] ) ? htmlentities( $_GET['sid'] ) : session_id() ) . '\' ); return false;" title="' . $langue['pages_edition'] . '"><img src="' . $location . 'img/sys/page_white_edit.png" width="16" height="16" border="0" align="top" alt="' . $langue['pages_edition'] . '" /></a>',
				'U_PAGES_DEL'	=> count( $pages[$page]['page'] ) > 1 ? '<a href="' . ajout_sid( $location . 'admin/pages.php?mode=page_supp&amp;page=' . $page . '&amp;feuille=' . $id_feuille, TRUE ) . '" title="' . $langue['pages_suppression'] . '"><img src="' . $location . 'img/sys/page_white_delete.png" width="16" height="16" border="0" align="top" alt="' . $langue['pages_suppression'] . '" /></a>' : '',

				'U_PAGES_MONTER' 	=> ( $id_feuille != 0 ) ? '<a href="' . ajout_sid( 'pages.php?mode=monter_feuille&amp;page=' . $page . '&amp;feuille=' . $id_feuille, TRUE ) . '" title=""><img src="' . $location . 'img/sys/arrow_up.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />' . $langue['pages_monter'] . '</a>' : '',
				'U_PAGES_DESCENDRE' => ( $id_feuille != count( $pages[$page]['page'] ) - 1 ) ? '<a href="' . ajout_sid( 'pages.php?mode=descendre_feuille&amp;page=' . $page . '&amp;feuille=' . $id_feuille, TRUE ) . '" title=""><img src="' . $location . 'img/sys/arrow_down.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />' . $langue['pages_descendre'] . '</a>' : '',
			) );
		}
	}
	else
	{
		$Tpl->assign_block_vars( 'feuille', array(
			'PAGES_NOM'		=> '',

			'U_PAGES_EDIT'	=> '',
			'U_PAGES_DEL'	=> '',
		) );
	}

	$Tpl->assign_vars( array(
		'U_PAGES_CREER'		=> '<a href="#" onclick="xajax_start_pages_article_form( ' . ( $page != '' ? $page : count( $pages ) ) . ', ' . ( isset( $pages[$page] ) ? count( $pages[$page]['page'] ) : 0 ) . ', \'' . ( isset( $_GET['sid'] ) ? htmlentities( $_GET['sid'] ) : '' ) . '\' ); return false;" title="' . $langue['pages_crer'] . '"><img src="' . $location . 'img/sys/page_white_add.png" width="16" height="16" border="0" align="bottom" style="vertical-align: -25%;" alt="' . $langue['pages_crer'] . '" />&nbsp;' . $langue['pages_crer'] . '</a>',
	) );
}
else
{
	$Tpl->assign_vars( array(
		'L_PAGES_LISTE_TITRE'	=> $langue['pages_liste_titre'],
		'L_PAGES_LISTE_EXP'		=> $langue['pages_liste_exp'],
		'L_PAGES_TYPE_TITRE'	=> $langue['pages_type_titre'],
		'L_PAGES_TYPE_EXP'		=> $langue['pages_type_exp'],
		'L_PAGES_TYPE_ARTICLE'	=> $langue['pages_type_article'],
		'L_PAGES_TYPE_LIEN' 	=> $langue['pages_type_lien'],
		'L_PAGES_TYPE_FRAME' 	=> $langue['pages_type_frame'],
		'L_PAGES_TYPE_PHP' 		=> $langue['pages_type_php'],
		'L_PAGES_TYPE_CODE'		=> $langue['pages_type_code'],
	) );

	// Rcupration des donnes sur les pages
	foreach( $pages as $id_pages => $values_pages )
	{
		// Coloration des noms des pages par rapport  leur statut (active, dsactive, cache, index)
		if( isset( $values_pages['activation'] ) && $values_pages['activation'] == 'oui' && $values_pages['emplacement'] != 'cache' && $config['index'] == $id_pages )
		{
			$pages_nom = '<span style="color: rgb(0, 170, 0);"><b>' . $values_pages['titre'] . '</b></span>';
		}
		elseif( isset( $values_pages['activation'] ) && $values_pages['activation'] == 'oui' && $values_pages['emplacement'] != 'cache' )
		{
			$pages_nom = '<span style="color: rgb(0, 170, 0);">' . $values_pages['titre'] . '</span>';
		}
		elseif( isset( $values_pages['activation'] ) && $values_pages['activation'] == 'oui' && $values_pages['emplacement'] == 'cache' )
		{
			$pages_nom = '<span style="color: rgb(0, 0, 255);"><i>' . $values_pages['titre'] . '</i></span>';
		}
		elseif( isset( $values_pages['activation'] ) && $values_pages['activation'] != 'oui' && isset( $values_pages['titre'] ) )
		{
			$pages_nom = '<span style="color: rgb(255, 0, 0);">' . $values_pages['titre'] . '</span>';
		}
		$pages_nom .= ' (' . $values_pages['type'] . ')';

		$Tpl->assign_block_vars( 'pages', array(
			'PAGES_NOM'			=> $pages_nom,

			'U_PAGES_EDIT'		=> $_SESSION['user_session_id'] != '0' && ( $values_pages['type'] == 'code' || $values_pages['type'] == 'php' ) ? '<img src="' . $location . 'img/sys/delete.png" width="16" height="16" border="0" align="top" alt="' . $langue['user_modifier_inter'] . '" title="' . $langue['user_modifier_inter'] . '"/ >' : '<a href="' . ajout_sid( $location . 'admin/pages.php?type=' . $values_pages['type'] . '&amp;mode=modifier&amp;page=' . $id_pages, TRUE ) . '" title=""><img src="' . $location . 'img/sys/page_edit.png" width="16" height="16" border="0" align="top" alt="" /></a>',
			'U_PAGES_DEL'		=> $_SESSION['user_session_id'] != '0' && ( $values_pages['type'] == 'code' || $values_pages['type'] == 'php' ) ? '<img src="' . $location . 'img/sys/delete.png" width="16" height="16" border="0" align="top" alt="' . $langue['user_modifier_inter'] . '" title="' . $langue['user_modifier_inter'] . '"/ >' : '<a href="' . ajout_sid( $location . 'admin/pages.php?type=' . $values_pages['type'] . '&amp;mode=supprimer&amp;page=' . $id_pages, TRUE ) . '" title=""><img src="' . $location . 'img/sys/page_delete.png" width="16" height="16" border="0" align="top" alt="" /></a>',

			'U_PAGES_MONTER' 	=> ( $id_pages != 0 ) ? '<a href="' . ajout_sid( 'pages.php?mode=monter&amp;page=' . $id_pages, TRUE ) . '" title=""><img src="' . $location . 'img/sys/arrow_up.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />' . $langue['pages_monter'] . '</a>' : '',
			'U_PAGES_DESCENDRE' => ( $id_pages != count( $pages ) - 1 ) ? '<a href="' . ajout_sid( 'pages.php?mode=descendre&amp;page=' . $id_pages, TRUE ) . '" title=""><img src="' . $location . 'img/sys/arrow_down.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />' . $langue['pages_descendre'] . '</a>' : '',
		) );
	}
}

// Affichage de la checkbox d'activation
if( isset( $pages[$page]['activation'] ) && $pages[$page]['activation'] == 'oui' && $config['index'] == $page )
{
	$pages_activation = 'value="oui" checked="checked" disabled="disabled"';
}
elseif( isset( $pages[$page]['activation'] ) && $pages[$page]['activation'] == 'oui' )
{
	$pages_activation = 'value="oui" checked="checked"';
}
else
{
	$pages_activation = 'value="oui"';
}

// Chargement des variables de langues communes
$Tpl->assign_vars( array(
	'RACINE' 						=> $location,
	'PAGES_TITRE' 					=> isset( $pages[$page]['titre'] ) ? stripslashes( $pages[$page]['titre'] ) : '',
	'SELECTED_HAUT' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'haut' ? 'selected="selected"' : '',
	'SELECTED_GAUCHE' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'gauche' ? 'selected="selected"' : '',
	'SELECTED_CACHE' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'cache' ? 'selected="selected"' : '',
	'CATEGORIES'					=> liste_categories( 'categorie', $page ),
	'PAGES_TYPE'					=> $type,
	'ACTIVATION'					=> $pages_activation,
	'PAGES_KEYWORD'					=> isset( $pages[$page]['keyword'] ) ? $pages[$page]['keyword'] : '',
	'PAGES_ADRESSE' 				=> isset( $pages[$page]['page'][0] ) ? stripslashes( $pages[$page]['page'][0] ) : '',
	'PAGES_HEIGHT'					=> isset( $pages[$page]['height'] ) ? $pages[$page]['height'] : '',
	'PAGES_WIDTH'					=> isset( $pages[$page]['width'] ) ? $pages[$page]['width'] : '',

	'L_PAGES_GESTION_TITRE' 		=> $langue['pages_gestion_titre'],
	'L_PAGES_GESTION_DROIT' 		=> $langue['pages_gestion_droit'],
	'L_PAGES_CONFIGURATION_TITRE'	=> $langue['pages_configuration_titre'],
	'L_PAGES_EDITEUR_TITRE'			=> $langue['pages_editeur_titre'],
	'L_PAGES_EDITEUR_EXP'			=> $langue['pages_editeur_exp'],
	'L_PAGES_TITRE'					=> $langue['pages_titre'],
	'L_PAGES_EMPLACEMENT' 			=> $langue['pages_emplacement'],
	'L_PAGES_CATEGORIES' 			=> $langue['pages_categories'],
	'L_PAGES_ACTIVATION'			=> $langue['pages_activation'],
	'L_PAGES_KEYWORD'				=> $langue['pages_keyword'],
	'L_PAGES_ADRESSE'				=> $type != '' && $type!= 'article' ? $langue['pages_adresse_' . $type . ''] : '',
	'L_PAGES_HEIGHT'				=> $langue['pages_height'],
	'L_PAGES_WIDTH'					=> $langue['pages_height'],

	'L_ENREGISTREMENT' 				=> $langue['enregistrement_reussi'],
	'L_HAUT' 						=> $langue['haut'],
	'L_GAUCHE' 						=> $langue['gauche'],
	'L_CACHE'						=> $langue['cache'],
	'L_RETOUR'						=> $langue['retour'],
	'L_SOUMETTRE' 					=> $langue['soumettre'],

	'U_ACTION' 						=> ( $mode == 'modifier' && $page != '' ) ? ajout_sid( 'pages.php?type=' . $type . '&amp;mode=modifier&amp;page=' . $page, TRUE ) : ajout_sid( 'pages.php', TRUE ),
) );

// Si on dplace une page vers le haut ou vers le bas
if( $mode == 'monter' || $mode == 'descendre' )
{
	$compte_pages = count( $pages );
	if ( ( $mode == 'monter' && $page > 0 ) || ( $mode == 'descendre' && $page < $compte_pages - 1 ) )
	{
		$tmp_page = ( $mode == 'monter' ) ? $page - 1 : $page + 1;
		$a = $pages[$page];
		$b = $pages[$tmp_page];
		$pages[$page] = $b;
		$pages[$tmp_page] = $a;
		$Cache->write_in_cache( $pages, 'pages', $compte_pages );

		redirection( 'pages.php' );
	}
	else
	{
		redirection( 'pages.php' );
	}
}
// Si on supprime une page d'un article
elseif( $mode == 'page_supp' )
{
	if( isset( $_POST['confirm_oui'] ) )
	{
		array_splice( $pages[$page]['page'], $feuille, 1 );
		$Cache->write_in_cache( $pages, 'pages', count( $pages ) );
		redirection( 'pages.php?type=article&mode=modifier&page=' . $page );
	}
	elseif( isset( $_POST['confirm_non'] ) )
	{
		redirection( 'pages.php?type=article&mode=modifier&page=' . $page );
	}
	else
	{
		confirmation( 'pages.php', $langue['confirm_suppr_page'], array( 'mode' => $mode, 'page' => $page, 'feuille' => $feuille ) );
	}
}
// Si on supprime un article complet
elseif( $mode == 'supprimer' && $page != '' )
{
	if( isset( $_POST['confirm_oui'] ) )
	{
		array_splice( $pages, $page, 1 );
		$Cache->write_in_cache( $pages, 'pages', count( $pages ) );
		redirection( 'pages.php' );
	}
	elseif( isset( $_POST['confirm_non'] ) )
	{
		redirection( 'pages.php' );
	}
	else
	{
		confirmation( 'pages.php', $langue['confirm_suppr_contenu'], array( 'mode' => $mode, 'page' => $page ) );
	}
}
// Si on dplace une page vers le haut ou vers le bas
elseif( $mode == 'monter_feuille' || $mode == 'descendre_feuille' )
{
	$compte_feuilles = count( $pages[$page]['page'] );
	if ( ( $mode == 'monter_feuille' && $feuille > 0 ) || ( $mode == 'descendre_feuille' && $feuille < $compte_feuilles - 1 ) )
	{
		$tmp_feuille = ( $mode == 'monter_feuille' ) ? $feuille - 1 : $feuille + 1;
		$a = $pages[$page]['page'][$feuille];
		$b = $pages[$page]['page'][$tmp_feuille];
		$pages[$page]['page'][$feuille] = $b;
		$pages[$page]['page'][$tmp_feuille] = $a;
		$Cache->write_in_cache( $pages, 'pages', $compte_feuilles );

		redirection( 'pages.php?type=article&mode=modifier&page=' . $page );
	}
	else
	{
		redirection( 'pages.php?type=article&mode=modifier&page=' . $page );
	}
}
// Si le formulaire est soumis on enregistre la page
elseif( isset( $_POST['soumettre'] ) )
{
	if( empty( $erreur ) && $mode == 'modifier' )
	{
		$pages[$page]['titre'] = stripslashes( htmlentities( trim( $_POST['titre'] ) ) );
		if( $_POST['type'] != 'article')
		{
			$pages[$page]['page'][0] = stripslashes( $_POST['page_text_0'] );
		}
		$pages[$page]['emplacement'] = $_POST['emplacement'];
		$pages[$page]['type'] = $_POST['type'];
		$pages[$page]['activation'] = ( $config['index'] == $page ) ? 'oui' : $_POST['activation'];
		$pages[$page]['categorie'] = $_POST['categorie'];
		$pages[$page]['height'] = intval( $_POST['height'] );
		$pages[$page]['width'] = intval( $_POST['width'] );
		$pages[$page]['keyword'] = stripslashes( htmlentities( trim( $_POST['keyword'] ) ) );
		$pages[$page]['membre'] = $_POST['membre'] ;
		

		$Cache->write_in_cache( $pages, 'pages', count( $pages ) );
	}
	elseif( empty( $erreur ) && $mode == '' )
	{
		$pages[] = array(
			'titre' 		=> stripslashes( htmlentities( trim( $_POST['titre'] ) ) ),
			'page' 			=> array( stripslashes( $_POST['page_text_0'] ) ),
			'emplacement' 	=> $_POST['emplacement'],
			'type' 			=> $_POST['type'],
			'activation'	=> $_POST['activation'],
			'categorie' 	=> $_POST['categorie'],
			'height'		=> intval( $_POST['height'] ),
			'width'			=> intval( $_POST['width'] ),
			'keyword'	 	=> stripslashes( htmlentities( trim( $_POST['keyword'] ) ) ),
			'membre'		=> $_POST['membre'],
		);

		$Cache->write_in_cache( $pages, 'pages', count( $pages ) );
	}
	$redirection = ( is_numeric( $page ) ) ? $page : count( $pages ) - 1;
	redirection( 'pages.php?type=' . htmlentities( $_POST['type'] ) . '&mode=modifier&rec=ok&page=' . $redirection );
}

// Test si l'utilisateur est le fondateur
if( defined( 'FONDATEUR' ) )
{
	$Tpl->create_block( 'fondateur' );
}

// Si l'enregistrement est OK
if( isset( $_GET['rec'] ) == 'ok' )
{
	$Tpl->create_block( 'enregistrement_reussi' );
}

$Tpl->pparse( 'corps' );

include( $location . 'admin/footer.php' );
?>