<?php
/*******************************************************************************
*
*		    [ admin/save.php (franais) ]
*
*	--------------------------------------------------------------------------
*
*	Copyright : 	Groupe Dagonfield Gnsis
*	Site Web : 		http://www.dagonfield.com
*	E-mail : 		Nerevare - dagonfield@gmail.com
*					Met@lnono - nono1135@hotmail.com
*					yoursef - yoursef@gmail.com

*	--------------------------------------------------------------------------
*
*	Dernire modification le 09 Mars 2006 par Met@lnono
*	Templates : 1
*		admin/save.tpl
*
*******************************************************************************/

define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'admin/header.php' );

// Rcupration des donnes
if( isset( $_GET['save'] ) || isset( $_POST['save'] ) )
{
	$save = ( isset( $_GET['save'] ) ) ? htmlSpecialChars( $_GET['save'] ) : htmlSpecialChars( $_POST['save'] );
}
else
{
	$save = '';
}

if( isset( $_GET['action'] ) || isset( $_POST['action'] ) )
{
	$action = ( isset( $_GET['action'] ) ) ? htmlSpecialChars( $_GET['action'] ) : htmlSpecialChars( $_POST['action'] );
}
else
{
	$action = '';
}

// Actions sur les sauvegardes
if( $action == 'rest' )
{
	// Vidage du rpertoire cache
	empty_dir( $location . 'cache' );

	// Dcompression du fichier ZIP
	$archive = new PclZip( $location . 'save/' . $save );
	if( $result_list = $archive->extract( PCLZIP_OPT_PATH, $location ) == 0 )
	{
		die( $archive->errorInfo( TRUE ) );
	}

	redirection( $location . 'admin/save.php?restauration=ok' );
}
elseif( $action == 'down' )
{
	// Lancement du tlchargement du fichier ZIP
	redirection( $location . 'save/' . $save );
}
elseif( $action == 'supp' )
{
	// Suppression du fichier ZIP
	if( file_exists( $location . 'save/' . $save ) )
	{
		@unlink( $location . 'save/' . $save );
	}

	redirection( $location . 'admin/save.php' );
}

if( isset( $_POST['sauvegarder'] ) )
{
	// Cration du nom du fichier
	$fichier_nom = 'saveMP_' . date( 'm.d.Y_H.i.s' );

	// Compression du fichier
	$archive = new PclZip( $location . 'save/' . $fichier_nom . '.zip' );
	$v_list = $archive->create( $location . 'cache',
								PCLZIP_OPT_REMOVE_PATH, $location );
	if ( $v_list == 0 )
	{
		die( "Error : " . $archive->errorInfo( TRUE ) );
	}
}

// On dfini le template
$Tpl->set_filenames( array( 'save' => 'admin/save.tpl' ) );

// Listage des fichiers de sauvegardes disponibles
$liste_fichier = liste_fichiers( $location . 'save/' );
if( count( $liste_fichier ) != 0 )
{
	for( $i = 0; $i < count( $liste_fichier ); $i++ )
	{
		$Tpl->assign_block_vars( 'saves', array(
			'SAVE_NOM'		=> $liste_fichier[$i],

			'U_SAVE_REST'	=> '<a href="' . ajout_sid( 'save.php?action=rest&amp;save=' . $liste_fichier[$i] ) . '" title="' . $langue['save_liste_rest'] . '&nbsp;' . $liste_fichier[$i] . '"><img src="' . $location . 'img/sys/drive_go.png" width="16" height="16" border="0" align="top" alt="" /></a>',
			'U_SAVE_DOWN'	=> '<a href="' . ajout_sid( 'save.php?action=down&amp;save=' . $liste_fichier[$i] ) . '" title="' . $langue['save_liste_down'] . '&nbsp;' . $liste_fichier[$i] . '" target="_blank"><img src="' . $location . 'img/sys/drive_link.png" width="16" height="16" border="0" align="top" alt="" /></a>',
			'U_SAVE_SUPP'	=> '<a href="' . ajout_sid( 'save.php?action=supp&amp;save=' . $liste_fichier[$i] ) . '" title="' . $langue['save_liste_supp'] . '&nbsp;' . $liste_fichier[$i] . '"><img src="' . $location . 'img/sys/drive_delete.png" width="16" height="16" border="0" align="top" alt="" /></a>',
		) );
	}
}
else
{
	$Tpl->assign_block_vars( 'saves', array(
		'SAVE_NOM'		=> '',

		'U_SAVE_REST'	=> '',
		'U_SAVE_DOWN'	=> '',
		'U_SAVE_SUPP'	=> '',
	) );
}

$Tpl->assign_vars( array(
	'RACINE'					=> $location,

	'L_SAVE_TITRE' 				=> $langue['save_titre'],
	'L_SAVE_LISTE_TITRE'		=> $langue['save_liste_titre'],
	'L_SAVE_LISTE_EXP'			=> $langue['save_liste_exp'],
	'L_SAVE_RESTAURATION_OK'	=> $langue['save_restauration_ok'],
	'L_SAVE_SAUVEGARDER_TITRE'	=> $langue['save_sauvegarder_titre'],
	'L_SAVE_SAUVEGARDER_EXP'	=> $langue['save_sauvegarder_exp'],
	'L_SAVE_SAUVEGARDER_BOUTON'	=> $langue['save_sauvegarder_bouton'],
	
	'U_ACTION'					=> ajout_sid ( $location . 'admin/save.php', TRUE ),
) );

// Si l'enregistrement est OK
if( isset( $_GET['restauration'] ) == 'ok' )
{
	$Tpl->create_block( 'restauration_reussi' );
}

$Tpl->pparse( 'save' );

// On inclu le footer
include( $location . 'admin/footer.php' );
?>