<?php


define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'admin/header.php' );

// Rcupration des donnes
if( isset( $_GET['user'] ) || isset( $_POST['user'] ) )
{
	$user = ( isset( $_GET['user'] ) ) ? htmlSpecialChars( $_GET['user'] ) : htmlSpecialChars( $_POST['user'] );
}
else
{
	$user = '';
}

if( isset( $_GET['mode'] ) || isset( $_POST['mode'] ) )
{
	$mode = ( isset( $_GET['mode'] ) ) ? htmlSpecialChars( $_GET['mode'] ) : htmlSpecialChars( $_POST['mode'] );
}
else
{
	$mode = '';
}

if( !is_numeric( $user ) && $user != '' )
{
	redirection( 'user.php' );
}

// Chargement des donnes sur les comptes
$Cache->load_table( 'auth' );

// On dfini le template
$Tpl->set_filenames( array( 'user' => 'admin/user.tpl' ) );

// Si on supprime un utilisateur
if( $mode == 'supprimer' && $user != '' && $user != 0 )
{
	if( isset( $_POST['confirm_oui'] ) )
	{
		array_splice( $auth, $user, 1 );
		$Cache->write_in_cache( $auth, 'auth', count( $auth ) );
		redirection( 'user.php' );
	}
	elseif( isset( $_POST['confirm_non'] ) )
	{
		redirection( 'user.php' );
	}
	else
	{
		confirmation( 'user.php', $langue['confirm_suppr_user'], array( 'mode' => $mode, 'user' => $user ) );
	}
}

// Si le formulaire est soumis on enregistre les donnes
if( isset( $_POST['soumettre'] ) )
{
	$Tpl->create_block( 'enregistrement' );
	$erreur = '';

	if( empty( $_POST['login'] ) )
	{
		$erreur = $langue['user_login_erreur1'] . '<br />';
	}

	if( md5( $_POST['pass'] ) != md5( $_POST['pass_verif'] ) )
	{
		$erreur .= $langue['user_password_erreur1'] . '<br />';
	}
	
	if( !email_verif( $_POST['mail'] ) )
	{
		$erreur .= $langue['user_mail_erreur1'] . '<br />';
	}

	if( $mode == 'modifier' && empty( $erreur ) )
	{
		if( md5( $_POST['pass'] ) == md5( $_POST['pass_verif'] ) )
		{
			if( $auth[$user]['user'] == $_SESSION['user_session_pseudo'] )
			{
				$_SESSION['user_session_pseudo'] = htmlSpecialChars( $_POST['login'] );
			}
		
			$auth[$user]['user'] = htmlSpecialChars( $_POST['login'] );
			if( !empty( $_POST['pass'] ) && !empty( $_POST['pass_verif'] ) )
			{
				$auth[$user]['password'] = md5( $_POST['pass'] );
			}
			$auth[$user]['mail'] = htmlSpecialChars( $_POST['mail'] );
			$Cache->write_in_cache( $auth, 'auth', count( $auth ) );
		}
	}
	elseif( $mode == '' && $_POST['pass'] == '' )
	{
		$erreur .= '<b><span style="color: rgb(255, 0, 0);">' . $langue['user_password_erreur2'] . '</span></b><br />';
	}
	elseif( $mode == '' && empty( $erreur ) && ( md5( $_POST['pass'] ) == md5( $_POST['pass_verif'] ) ) )
	{
		$auth[] = array(
			'user' 		=> htmlSpecialChars( $_POST['login'] ),
			'password' 	=> md5( $_POST['pass'] ),
			'mail'		=> htmlSpecialChars( $_POST['mail'] ),
			'avatar'    => htmlSpecialChars( $_POST['avatar'] ),
		);
		$Cache->write_in_cache( $auth, 'auth', count( $auth ) );
	}

	$Tpl->assign_vars( array(
		'L_ENREGISTREMENT'	=> empty( $erreur ) ? '<img src="' . $location . 'img/sys/ok.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />&nbsp;' . $langue['enregistrement_reussi'] : '<b><span style="color: rgb(255, 0, 0);"><img src="' . $location . 'img/sys/error.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />&nbsp;' . $erreur . '</span></b><br />',
	) );
}

$Tpl->assign_vars( array(
	'RACINE'				=> $location,
	'USER_LOGIN'			=> $mode == 'modifier' ? ( isset( $auth[$user] ) && isset( $_SESSION['user_session_id'] ) && $_SESSION['user_session_id'] == 0 ? $auth[$user]['user'] : $auth[$_SESSION['user_session_id']]['user'] ) : '',
	'USER_PASSWORD'			=> '', //$mode == 'modifier' ? ( isset( $auth[$user] ) && $_SESSION['user_session_id'] == 0 ? $auth[$user]['password'] : $auth[$_SESSION['user_session_id']]['password'] ) : '',
	'USER_PASSWORD_VERIF'	=> '',
	'USER_MAIL'				=> $mode == 'modifier' ? ( isset( $auth[$user] ) && isset( $_SESSION['user_session_id'] ) && $_SESSION['user_session_id'] == 0 ? $auth[$user]['mail'] : $auth[$_SESSION['user_session_id']]['mail'] ) : '',
		'USER_AVATAR'				=> $mode == 'modifier' ? ( isset( $auth[$user] ) && isset( $_SESSION['user_session_id'] ) && $_SESSION['user_session_id'] == 0 ? $auth[$user]['avatar'] : $auth[$_SESSION['user_session_id']]['avatar'] ) : '',

	'U_ACTION' 				=> $mode == 'modifier' && $user != '' ? ajout_sid ( $location . 'admin/user.php?mode=modifier&amp;user=' . $user, TRUE ) : ajout_sid ( $location . 'admin/user.php', TRUE ),

	'L_TITRE_USER' 			=> $langue['user_titre'],
	'L_USER_LISTE'			=> $langue['user_liste'],
	'L_USER_LISTE_EXP'		=> $langue['user_liste_exp'],
	'L_USER_CREATION'		=> $mode == 'modifier' && $user != '' ? '<img src="' . $location . 'img/sys/user_edit.png" width="16" height="16" border="0" alt="" /> ' . $langue['user_edition'] . ' : | <a href="user.php" title=""><img src="' . $location . 'img/sys/user_add.png" width="16" height="16" border="0" alt="" />&nbsp;' . $langue['user_creation'] . '</a>' : '<img src="' . $location . 'img/sys/user_add.png" width="16" height="16" border="0" alt="" />&nbsp;' . $langue['user_creation'] . ' :',
	'L_USER_CREATION_EXP'	=> $mode == 'modifier' && $user != '' ? $langue['user_edition_exp'] : $langue['user_creation_exp'],
	'L_USER_LOGIN'			=> $langue['user_login'],
	'L_USER_PASSWORD'		=> $langue['user_password'],
	'L_USER_PASSWORD_VERIF'	=> $langue['user_password_verif'],
	'L_USER_MAIL'			=> $langue['user_mail'],
	'L_USER_AVATAR'         => $langue['user_avatar'],
	'L_SOUMETTRE'			=> $langue['soumettre'],
) );

// Rcupration des donnes utilisateurs
foreach( $auth as $id_user => $values_user )
{
	$Tpl->assign_block_vars( 'utilisateurs', array(
		'USER_NOM'			=> ( $id_user != 0 ) ? $values_user['user'] : $values_user['user'] . ' (' . $langue['user_fondateur'] . ')',

		'U_USER_EDIT'		=> $_SESSION['user_session_id'] == '0' || $_SESSION['user_session_id'] == $id_user ? '<a href="' . ajout_sid( $location . 'admin/user.php?mode=modifier&amp;user=' . $id_user, TRUE ) . '" title="' . $langue['user_modifier'] . '"><img src="' . $location . 'img/sys/user_edit.png" width="16" height="16" border="0" align="top" alt="" /></a>' : '<img src="' . $location . 'img/sys/delete.png" width="16" height="16" border="0" align="top" alt="' . $langue['user_modifier_inter'] . '" title="' . $langue['user_modifier_inter'] . '"/ >',
		'U_USER_DEL'		=> $id_user != 0 && isset( $_SESSION['user_session_id'] ) && $_SESSION['user_session_id'] == '0' ? '<a href="' . ajout_sid( $location . 'admin/user.php?mode=supprimer&amp;user=' . $id_user, TRUE ) . '" title="' . $langue['user_supprimer'] . '"><img src="' . $location . 'img/sys/user_delete.png" width="16" height="16" border="0" align="top" alt="" /></a>' : '',
	) );
}

$Tpl->pparse( 'user' );

// On inclu le footer
include( $location . 'admin/footer.php' );
?>