<?php
/*******************************************************************************
*
*		    [ xajaxFonctions.php (franais) ]
*
*	--------------------------------------------------------------------------
*
*	Copyright : 	Groupe Dagonfield Gnsis
*	Site Web : 		http://www.dagonfield.com
*	E-mail : 		Nerevare - dagonfield@gmail.com
*					Met@lnono - nono1135@hotmail.com
*					yoursef - yoursef@gmail.com

*	--------------------------------------------------------------------------
*
*	Dernire modification le 06 Dcembre 2006 par Met@lnono
*	Templates : 0
*
*******************************************************************************/

// Chargement de la librairie xajax
require_once( 'xajax.inc.php' );

// Cration de la nouvelle instance de xajax
$xajax = new xajax( './includes/class/xajax/xajaxFonctions.php' );

function process_login_form( $aFormValues )
{
	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage et on dmarre les sessions
	define( 'IN_PORTFOLIO', TRUE );
	define( 'PAGE_CONNEXION', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_auth.php' );
	demarrer_session();

	for ( $i = 0; $i < $compte_auth; $i++ )
	{
		if( $aFormValues['login'] == $auth[$i]['user'] && md5( $aFormValues['password'] ) == $auth[$i]['password'] )
		{
			// Generation d'un nouveau id de session (Scurit)
			regenerer_session_id();

			// Enregistrement de la session
			$_SESSION['user_session_pseudo'] = $aFormValues['login'];
			$_SESSION['user_session_id'] = $i;
			
			// Rinitialisation du champs password_new dans le compte utilisateur
			$auth[$i]['password_new'] = '';
			$Cache->write_in_cache( $auth, 'auth' );

			// Redirection vers l'index de l'admin
			$objResponse = new xajaxResponse();
			$objResponse->addRedirect( ajout_sid( './admin/index.php', FALSE ) );

			return $objResponse;
		}
	}

	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'soumettre', 'disabled', false );
    $objResponse->addAssign( 'login_form_error', 'innerHTML' , '<img src="./img/sys/error.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />&nbsp;<b><span style="color: rgb(255, 0, 0);">' . $langue['login_connexion_error'] . '</span></b><br /><br />' );

	return $objResponse->getXML();
}

// Fonction de lancement de FCKeditor pour l'edition des pages
function start_edit_form( $page, $feuille, $sid )
{
	global $pages;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages et on dmarre les sessions
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_pages.php' );
	demarrer_session( $sid );

	// Test si la session est enregistre
	if( !isset( $_SESSION['user_session_pseudo'] ) )
	{
		$objResponse = new xajaxResponse();
		$objResponse->addRedirect( './login.php');
		return $objResponse;
	}
	else
	{
		// Dfinition du formulaire FCKeditor
	    include( $location . 'fckeditor/fckeditor.php' );
		$oFCKeditor = new FCKeditor( 'page' );
		$oFCKeditor->BasePath = './fckeditor/';
		$oFCKeditor->Config['CustomConfigurationsPath'] = '../../includes/js/fckconfig.js';
		$oFCKeditor->Value = stripslashes( $pages[$page]['page'][$feuille] );
		$oFCKeditor->Width  = '100%';
		$oFCKeditor->Height = '500';
		$oFCKeditor->ToolbarSet = 'Mon_Portfolio';

		// Cration du formulaire
		$pageTextarea = '<form id="edit_form" name="edit_form" action="javascript:void(null);">';
		$pageTextarea .= $oFCKeditor->CreateHtml();
		$pageTextarea .= '<input name="soumettre" onClick="submit_edit_form( ' . $page . ', ' . $feuille . ' ); return false;" type="submit" value="' . $langue['soumettre'] . '" />&nbsp;';
		$pageTextarea .= '<input name="annuler" onClick="xajax_cancel_edit_form( ' . $page . ', ' . $feuille . ' ); return false;" type="submit" value="' . $langue['annuler'] . '" />';
		$pageTextarea .= '</form>';

		// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	    $objResponse = new xajaxResponse();
	    $objResponse->addAssign( 'ajax_edit_page', 'innerHTML' , $pageTextarea  . '<div style="text-align:center;"><span class="moyen">' . affiche_pagination( $page, $feuille, TRUE ) . '</span></div>' );

	    return $objResponse->getXML();
	}
}

// Enregistrement de la page
function save_edit_form( $aFormValues, $page, $feuille )
{
	global $pages;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_pages.php' );

	// Enregistrement du contenu de la page dans le tableau $pages
	$pages[$page]['page'][$feuille] = stripslashes( $aFormValues['page'] );

	// Ecriture du contenu dans le cache
	$Cache->write_in_cache( $pages, 'pages', count( $pages ) );

	// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'ajax_edit_page', 'innerHTML', $pages[$page]['page'][$feuille]  . '<div style="text-align:center;"><span class="moyen">' . affiche_pagination( $page, $feuille ) . '</span></div>' );

	// Envoi de la rponse
	return $objResponse->getXML();
}

// Annulation de l'dition
function cancel_edit_form( $page, $feuille )
{
	global $pages;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_pages.php' );

	// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'ajax_edit_page', 'innerHTML', $pages[$page]['page'][$feuille]  . '<div style="text-align:center;"><span class="moyen">' . affiche_pagination( $page, $feuille ) . '</span></div>' );

	// Ractivation du bouton
	$objResponse->addAssign( 'soumettre', 'disabled', false );

	// Envoi de la rponse
	return $objResponse->getXML();
}

// Enregistrement des fonctions
$xajax->registerFunction( 'process_login_form' );
$xajax->registerFunction( 'start_edit_form' );
$xajax->registerFunction( 'save_edit_form' );
$xajax->registerFunction( 'cancel_edit_form' );

// Options pour un encodage correct des caractres
$xajax->decodeUTF8InputOn();
$xajax->outputEntitiesOn();

// Lancement des requtes
$xajax->processRequests();
?>