<?php
define( 'IN_PORTFOLIO', TRUE );
$location = './';

// On inclu le fichier de dmarrage
include( $location . 'start.php' );

// On inclu le header
include( $location . 'header.php' );
// On defini le template
$Tpl->set_filenames( array( 'index' => 'index.tpl' ) );

// Test puis suppression du fichier d'installation + affichage des pages
if ( file_exists( $location . 'install/installation.php' ) && !@unlink( $location . 'install/installation.php' ) )
{
	info( $langue['install_erreur_titre'], '<b><span style="color: rgb(255, 0, 0);">' . $langue['install_erreur_exp'] . '</span></b>' );
}
elseif( $pages[$page]['type'] == 'php' && $pages[$page]['activation'] == 'oui' )
{
	$Tpl->assign_vars( array(
		'CODE' => '',
	) );
	include( $pages[$page]['page'][0] );
}
elseif( $pages[$page]['activation'] == 'oui' && $pages[$page]['type'] == 'lien' )
{
	redirection( $pages[$page]['page'][0] );
}
elseif( $pages[$page]['type'] == 'code' )
{
	$Tpl->assign_vars( array(
		'CODE' => affiche_page( $config['erreur404'] ),
	) );
}
elseif( $pages[$page]['activation'] == 'oui' )
{
	$Tpl->assign_vars( array(
		'CODE' => affiche_page( $page, $feuille ),
	) );
}
else
{
	$Tpl->assign_vars( array(
		'CODE' => affiche_page( $config['erreur404'] ),
	) );
}
if( isset( $_SESSION['pseudo']  ) )
{
if ( $pages[$page]['membre'] == 'oui' )
{

$Tpl->create_block( 'membre' );

}
}

if ( $pages[$page]['membre'] == 'non' )
{
$Tpl->create_block( 'visiteur' );
}
if( isset( $_SESSION['pseudo']  ) )
{
}
else
{
 echo ' <center><img src="img/sys/question.png"> &nbsp; <span class="moyen">Afin de profiter de l\'entiret du site </span> &nbsp; <img src="img/sys/question.png"><br> <a class="petit" href="registerLogin.php">enregistr vous</a><span class="petit"> ou</span> <a class="petit" href="verifLogin.php">connect vous</a></center> ';
}

if( isset( $_SESSION['pseudo']  ) )
{
$Tpl->create_block( 'loged' );

}


$Tpl->assign_vars( array(
	'FOOTER_PAGE_PAGINATION'	=> $pages[$page]['activation'] == 'oui' ? affiche_pagination( $page, $feuille ) : '',
	));


$Tpl->pparse( 'index' );



// On inclu le footer
include( $location . 'footer.php' );
?>