<?php


define( 'IN_PORTFOLIO', TRUE );
$location = './';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'header.php' );

// On inclu les donnes des comptes utilisateurs
include( $location . 'cache/fichier_auth.php' );

// Rcupration des donnes
$action = ( isset( $_GET['action'] ) ) ? htmlSpecialChars( $_GET['action'] ) : '';
$login_envoi = ( isset( $_POST['login'] ) ) ? htmlSpecialChars( $_POST['login'] ) : '';
$mail_envoi = ( isset( $_POST['mail'] ) ) ? htmlSpecialChars( $_POST['mail'] ) : '';

if( isset( $_SESSION['pseudo']  ) )
{
// Dconnection et redirection vers l'index
if( $action == 'logout' )
{
	fermer_session( $location . 'index.php' );
}
elseif( $action == 'perdu' )
{
	$Tpl->create_block( 'perdu' );
}
elseif( $action == 'envoi' )
{
	// Vrification de la correspondance entre le login et l'adresse email
	for ( $i = 0; $i < $compte_auth; $i++ )
	{
		if( $login_envoi == $auth[$i]['user'] && $mail_envoi == $auth[$i]['mail'] )
		{
			// Gnration du nouveau mot de passe
			$new_pass = string_gen();

			// Enregistrement du nouveau mot de passe
			$auth[$i]['password_new'] = $new_pass;
			$Cache->write_in_cache( $auth, 'auth' );

			// Cration de l'email d'activation
			include( 'includes/class/mail/class.mail.php' );
			$mail = new simplemail;
			// Destinataire du message
			$mail -> addrecipient( $mail_envoi, $login_envoi );
			// Expediteur du message
			$mail -> addfrom( $config['mail_auteur'], $auth[0]['user'] );
			// Sujet du message
			$mail -> addsubject( $langue['login_mail_sujet'] );
			// Corps du message
			$mail -> html = sprintf( $langue['login_mail_corps1'], $login_envoi ) . '<a href="http://' . $config['domaine'] . '/login.php?action=active&id=' . $i . '&hash_new_pass=' . md5( $new_pass ) . '&hash_old_pass=' . $auth[$i]['password'] . '" title="">' . 'http://' . $config['domaine'] . '/login.php?action=active&id=' . $i . '&hash_new_pass=' . md5( $new_pass ) . '&hash_old_pass=' . $auth[$i]['password'] . '</a>' . sprintf( $langue['login_mail_corps2'], $new_pass );
			// Envoi de l'email
			if( $mail -> sendmail() )
			{
				$Tpl->create_block( 'envoi_active' );
				$Tpl->assign_vars( array(
					'L_LOGIN_MAIL_MESSAGE'	=> $langue['login_mail_envoi_ok'],
				) );
			}
			else
			{
				$Tpl->create_block( 'envoi_active' );
				$Tpl->assign_vars( array(
					'L_LOGIN_MAIL_MESSAGE'	=> $langue['login_mail_envoi_ko2'] . '<br /><br />' . $mail->error_log,
				) );
			}
		}
		else
		{
			// Si aucun login et adresse email ne correspondent
			$Tpl->create_block( 'envoi_active' );
			$Tpl->assign_vars( array(
				'L_LOGIN_MAIL_MESSAGE'	=> $langue['login_mail_envoi_ko1'],
			) );
		}
	}
}
elseif( $action == 'active' )
{
	// Vrification du hash des mots de passe
	if( $_GET['hash_new_pass'] == md5( $auth[intval( $_GET['id'] )]['password_new'] ) && $_GET['hash_old_pass'] == $auth[intval( $_GET['id'] )]['password'] )
	{
		// Activation du nouveau mot passe
		$auth[intval( $_GET['id'] )]['password'] = md5( $auth[intval( $_GET['id'] )]['password_new'] );
		$auth[intval( $_GET['id'] )]['password_new'] = '';
		$Cache->write_in_cache( $auth, 'auth' );
		
		$Tpl->create_block( 'envoi_active' );
		$Tpl->assign_vars( array(
			'L_LOGIN_MAIL_MESSAGE'	=> $langue['login_mail_active_ok'],
		) );
	}
	else
	{
		$Tpl->create_block( 'envoi_active' );
		$Tpl->assign_vars( array(
			'L_LOGIN_MAIL_MESSAGE'	=> $langue['login_mail_active_ko'],
		) );
	}
}
else
{
	$Tpl->create_block( 'login' );
}
}
else{
redirection( $location . 'index.php', TRUE );
}
// Si la session est active, on redirige vers l'index de l'administration
if( isset( $_SESSION['user_session_pseudo']  ) )
{
	redirection( $location . 'admin/index.php', TRUE );
}

// Definition du template
$Tpl->set_filenames( array( 'login' => 'login.tpl' ) );

// Rcupration des donnes du template
$Tpl->assign_vars( array(
	'RACINE' 					=> $location,

	'L_LOGIN_TITRE'				=> $langue['login_titre'],
	'L_LOGIN_PERDU_TITRE'		=> $langue['login_perdu_titre'],
	'L_LOGIN_PERDU_EXP'			=> $langue['login_perdu_exp'],
	'L_LOGIN_PSEUDO' 			=> $langue['login_pseudo'],
	'L_LOGIN_PASSWORD'			=> $langue['login_password'],
	'L_LOGIN_MAIL'				=> $langue['login_mail'],
	'L_LOGIN_CONNEXION' 		=> $langue['login_connexion'],
	'L_LOGIN_ENVOYER' 			=> $langue['login_envoyer'],
	'L_LOGIN_LOST_PASSWORD'		=> '[ <a href="login.php?action=perdu" title="">' . $langue['login_lost_password'] . '</a> ]',
	'L_LOGIN_MAIL_CONNEXION'	=> $langue['login_mail_connexion'],
) );

$Tpl->pparse( 'login' );

// On inclu le footer
include( $location . 'footer.php' );
?>