<?php


define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On charge le header
include( $location . 'admin/header.php' );

// Si le formulaire est soumis
if( isset( $_POST['soumettre'] ) )
{
	$upload = new upload( $location . 'themes/' );
	
	// On upload et on dcompresse l'archive
	if( $_FILES['theme']['name'] != '' )
	{
		$upload->assign_extensions( array( 'zip' ) );
		$upload->assign_file_to_upload( $_FILES['theme']['name'], $_FILES['theme']['tmp_name'] );
		$theme = $upload->upload_file();
		
		if( $upload->extension == 'zip' )
		{
			$archive = new PclZip( $location . 'themes/' . $theme );
			if( $archive->extract( PCLZIP_OPT_PATH, $location . 'themes/' ) == 0 )
			{
				die( $archive->errorInfo( TRUE ) );
			}
			else
			{
				unlink( $location . 'themes/' . $theme );
			}
		}

		redirection( 'upload_skin.php?up=ok' );
	}
}

// On charge le tpl
$Tpl->set_filenames( array( 'corps' => 'admin/upload_skin.tpl' ) );

$Tpl->assign_vars( array(
	'RACINE'						=> $location,

	'U_ACTION' 						=> ajout_sid( 'upload_skin.php', TRUE ),
	
	'L_THEMES_TITRE'				=> $langue['themes_titre'],
	'L_THEMES_UPLOAD_OK'			=> $langue['themes_upload_ok'],
	'L_THEMES_EMPLACEMENT_TITRE'	=> $langue['themes_emplacement_titre'],
	'L_THEMES_EMPLACEMENT_EXP'		=> $langue['themes_emplacement_exp'],
	'L_SOUMETTRE' 					=> $langue['soumettre'],
) );
// Si l'upload est OK
if( isset( $_GET['up'] ) == 'ok' )
{
	$Tpl->create_block( 'upload_ok' );
}
$Tpl->pparse( 'corps' );

// On charge le footer
include( $location . 'admin/footer.php' );
?>