<?php
/*******************************************************************************
*
*		    [ includes/fonctions_images.php (franais) ]
*
*	--------------------------------------------------------------------------
*
*	Copyright : 		Groupe Dagonfield Gnsis
*	Site Web : 		http://www.dagonfield.com
*	E-mail : 		Nerevare - dagonfield@gmail.com
*				Met@lnono - nono1135@hotmail.com
*				yoursef - yoursef@gmail.com

*	--------------------------------------------------------------------------
*
*	Dernire modification le 30 Mai 2006 par Met@lnono
*	Templates : 0
*
*******************************************************************************/

/*--------------------------------------------------------------------------
Fonction de cration de miniatures de photos

	$image_rep => Rpertoire de stockage des images originales
	$fichier => Nom du fichier  redimensionner
	$taille_mini => Taille maximum d'un ct d'une image miniature (en pixels)
--------------------------------------------------------------------------*/
function resize_image( $image_rep, $fichier, $taille_mini )
{
	// Rcupration de la taille de l'image
	$size = getimagesize( $image_rep . '/' . $fichier );
	if ( $size[0] > $size[1] )
	{
		$rapport = ( $taille_mini / $size[0] );
	}
	else
	{
		$rapport = ( $taille_mini / $size[1] );
	}

	// Calcul de la taille des miniatures
	$dest_width = ( $size[0] * $rapport );
	$dest_height =  ( $size[1] * $rapport );
	$type_image = $size[2];
	$url_dest = $image_rep . '/' . 'mini' . '/' . $fichier;

	// Test de la version de l'extension GD
	$gd_info = gd_info();
	if( strpos( $gd_info['GD Version'], '2.' ) === FALSE )
	{
		// Cration des miniatures en qualit basse
		// Test si le miniature existe
		if ( !file_exists( $url_dest ) )
		{
			// Test du type d'image  crer
			if ( $type_image == 2 )
			{
				$src_img = imagecreatefromjpeg( $image_rep . '/' . $fichier );
				$dst_img = imagecreate( $dest_width, $dest_height );
				imagecopyresized( $dst_img, $src_img, 0, 0, 0, 0, $dest_width, $dest_height, $size[0], $size[1] );
				imagejpeg( $dst_img, $url_dest, 60 );
			}
			imagedestroy( $src_img );
			imagedestroy( $dst_img );
		}
	}
	else
	{
		// Cration des miniatures en qualit haute
		// Test si la miniature existe
		if ( !file_exists( $url_dest ) )
		{
			// Test du type d'image  crer
			if ( $type_image == 2 )
			{
				$src_img = imagecreatefromjpeg( $image_rep . '/' . $fichier );
				$dst_img = imagecreatetruecolor( $dest_width, $dest_height );
				imagecopyresampled( $dst_img, $src_img, 0, 0, 0, 0, $dest_width, $dest_height, $size[0], $size[1] );
				imagejpeg( $dst_img, $url_dest, 60 );
			}
			imagedestroy( $src_img );
			imagedestroy( $dst_img );
		}
	}
}