/* ******************************************************************************
*
*		    [ javascript.js (franais) ]
*
*	--------------------------------------------------------------------------
*
*	Copyright : 		Groupe Dagonfield Gnsis
*	Site Web : 		http://www.dagonfield.com
*	E-mail : 		Nerevare - dagonfield@gmail.com
*				Met@lnono - nono1135@hotmail.com
*				yoursef - yoursef@gmail.com

*	--------------------------------------------------------------------------
*
*	Dernire modification le 27 Novembre 2006 par Met@lnono
*
****************************************************************************** */

/* Fonction permettant de cacher les liens dans la barre de statut */
function hidestatus() {
	window.status = '';
	return true;
}

/* Fonction permettant d'afficher des lments */
function afficher(id) {
	var affiche = document.getElementById(id);
	affiche.style.display = "";
}

/* Fonction permettant de cacher/afficher des lments */
function afficher_cacher(id) {
	var div = document.getElementById(id);
    if (div.style.display == "none") {
		div.style.display = "";
		EcrireCookie(id, "");
    }
    else {
		div.style.display = "none";
		EcrireCookie(id, "none");
    }
}

/* Fonction permettant de crer un cookie */
function EcrireCookie(nom, valeur) {
	var argv = EcrireCookie.arguments;
	var argc = EcrireCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path = (argc > 3) ? argv[3] : null;
	var domain = (argc > 4) ? argv[4] : null;
	var secure = (argc > 5) ? argv[5] : false;
	document.cookie = nom+"="+escape(valeur)+
		((expires==null) ? "" : ("; expires="+expires.toGMTString()))+
		((path==null) ? "" : ("; path="+path))+
		((domain==null) ? "" : ("; domain="+domain))+
		((secure==true) ? "; secure" : "");
}

/* Fonctions permettant de lire un cookie */
function getCookieVal(offset) {
	var endstr = document.cookie.indexOf (";", offset);
	if (endstr == -1) endstr = document.cookie.length;
	return unescape(document.cookie.substring(offset, endstr));
}
function LireCookie(nom) {
	var arg = nom+"=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen)
	{
		var j = i+alen;
		if (document.cookie.substring(i, j) == arg) return getCookieVal(j);
		i = document.cookie.indexOf(" ",i)+1;
		if (i == 0) break;
	}
	return null;
}

/* Fonction de redimensionnement automatique d'une iframe */
function autoResize( iframe ) {
	try {
		var innerDoc = (iframe.contentDocument) ? iframe.contentDocument : iframe.contentWindow.document;
		if (innerDoc.body.offsetHeight) //ns6 syntax
		{
			iframe.height = innerDoc.body.offsetHeight + 60; //Extra height FireFox
		}
		else if (iframe.Document && iframe.Document.body.scrollHeight) //ie5+ syntax
		{
			iframe.height = iframe.Document.body.scrollHeight;
		}
	}
	catch(err) {
		alert( err.message );
	}
}

/* Fonction de highlight sur les images */
function smfFooterHighlight(element, value, racine) {
	element.src = racine + "img/sys/" + (value ? "h_" : "") + element.id + ".png";
}

/* Fonction de vrification des adresses mail */
function verif_mail(formulaire, message) {
	adresse = formulaire.mail.value;
	var place = adresse.indexOf("@", 1);
	var point = adresse.indexOf(".", place + 1);
	if ((place > - 1) && (adresse.length > 2) && (point > 1)) {
		formulaire.submit();
		return( true );
	}
	else {
		alert(message);
		return( false );
	}
}

/* Fonction permettant de dsactiver le champs "catgorie" lorsqu'une page est place dans le menu du "haut" */
function cat( controleur, controle) {
	var objControleur = document.getElementById( controleur );
	var objControle = document.getElementById( controle );
	var selIndex = objControleur.selectedIndex;
	objControle.disabled = ( objControleur.options[selIndex].value == 'haut' || objControleur.options[selIndex].value == 'cache' ) ? true : false;
	return( true );
}

/* Fonction permettant de rcuprer le contenu XHTML d'un formulaire FCKeditor */
function getEditorValue( instanceName )
{
	// Rcupre l'instance de l'diteur avec laquel on doit intragir
	var oEditor = FCKeditorAPI.GetInstance( instanceName ) ;
	// Rcupre le contenu XHTML de l'diteur ("True" signifie que le contenu sera formatt)
	return oEditor.GetXHTML( true ) ;
}
