<?php
// On defini la racine du script d'installation
$location = '../';

// On inclu les fichiers necessaires pour l'installation
include( $location . 'includes/fonctions/fonctions_generales.php' );
include( $location . 'includes/fonctions/fonctions_sessions.php' );

include( $location . 'includes/class/class_tpl.php' );
include( $location . 'includes/class/class_cache.php' );

include( $location . 'includes/class/pclzip.lib.php' );

// On instancie les class
$Cache = new cache( $location . 'cache/' );


// On charge la table 'config' et la table 'auth' pour y mettre les infos recupérées
include( $location . 'cache/fichier_auth.php' );
include( $location . 'cache/fichier_config.php' );

$Tpl = new tpl( $location . 'themes/' . $config['theme'] . '/' );
$Tpl->set_filenames( array( 'corps' => 'offline.tpl' ) );

$Tpl->pparse( 'corps' );
?>