<?php
// session_start();
if( !defined( 'IN_PORTFOLIO' ) )
{
	die( '-[Erreur Critic]-' );
}


// On inclu tout les fichiers necessaires au fonctionnement du script
include_once( $location . 'includes/fonctions/fonctions_generales.php' );
include_once( $location . 'includes/fonctions/fonctions_sessions.php' );
include_once( $location . 'includes/fonctions/fonctions_images.php' );
include_once( $location . 'includes/fonctions/pXw4Pa.php' );
include_once( $location . 'includes/class/class_tpl.php' );
include_once( $location . 'includes/class/class_cache.php' );
include_once( $location . 'includes/class/class_upload.php' );
include_once( $location . 'includes/class/pclzip.lib.php' );


// Activation du mode de debugage utile aux dveloppeurs - (mettre  true)
define( 'DEBUG', false );

// On dsactive la fonction magic_quotes_runtime
set_magic_quotes_runtime( 0 );

// Rapporte les erreurs d'excution de script
error_reporting( E_ERROR | E_WARNING | E_PARSE );

// Modifications de paramtres du fichier php.ini
@ini_set( 'register_globals', 0 );
@ini_set( 'variables_order', 'GPC' );
@ini_set( 'register_argc_argv', 0 );
@ini_set( 'expose_php', 0 );
@ini_set( 'default_socket_timeout', 10 );
@ini_set( 'allow_url_fopen', 1 );

// On recupere la configuration
$Cache = new cache( $location . 'cache/' );
include( $location . 'cache/fichier_auth.php' );
include( $location . 'cache/fichier_config.php' );
$config = $Cache->convert_to_simple_array( $config );

include( $location . 'cache/fichier_config_games.php' );
$config_games = $Cache->convert_to_simple_array( $config_games );

// Activation de la compression GZip
if ( $config['gzip'] && !$config['url_rewriting'] && ini_get( 'zlib.output_compression' ) == 0 && extension_loaded( 'zlib' ) && isset( $_SERVER['HTTP_ACCEPT_ENCODING'] ) && ( strpos( $_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip' ) !== false || strpos( $_SERVER['HTTP_ACCEPT_ENCODING'], 'deflate' ) !== false ) )
{
	ob_start( 'ob_gzhandler' );
}
else
{
	ob_start();
}

// Rcupration de la liste des modules Apache chargs
$apache_modules = function_exists( 'apache_get_modules' ) ? apache_get_modules() : array();

// On inclu les fichiers de langue et on defini le theme utilis
include_once( $location . 'langues/' . $config['langue'] . '/langue_index.php' );
include_once( $location . 'langues/' . $config['langue'] . '/langue_admin.php' );
include_once( $location . 'langues/' . $config['langue'] . '/langue_modules.php' );






	


// Test si Mon_Portfolio est install, sinon redirection vers l'installation
if( $config['install'] == 'non' )
{
	redirection( './install/installation.php' );
}
if( $config['online'] == 'non' )
{
	redirection( './offline.php' );
}
include_once( $location . 'cache/fichier_sql.php' );
?>